@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
:root {
    --ff-default: "Roboto", sans-serif;
    --ff-alt: "Oswald", sans-serif;
    --color-accent: #FFD731;
    --color-yellow: #fde10b;
    --color-link: #09510e;
    --color-link-hover: var(--color-accent);
    --color-navicon: var(--color-accent);
    --color-bg-alt: #F5F5F5;
    --color-gray: #777;
    --color-text: #232323;
    --color-orange: #FA5219;
    --color-black: #000;
    --default-transition: all .25s ease-out 0s;
    --h1-font-size: clamp(2.0125rem, 1.8743rem + 0.4423vw, 2.3719rem);
    --h2-font-size: clamp(1.8687rem, 1.7858rem + 0.2654vw, 2.0844rem);
    --h3-font-size: clamp(1.5094rem, 1.3711rem + 0.4423vw, 1.8687rem);
    --h4-font-size: clamp(1.2219rem, 1.0836rem + 0.4423vw, 1.5812rem);
    --h5-font-size: clamp(1.0781rem, 1.0505rem + 0.0884vw, 1.15rem);
    --h6-font-size: clamp(1.0062rem, 0.9786rem + 0.0884vw, 1.0781rem);
    --default-font-size: clamp(0.9363rem, 0.9234rem + 0.0412vw, 0.9697rem);
    --text-large: clamp(1.0031rem, 0.9903rem + 0.0412vw, 1.0366rem);
    --text-xlarge: clamp(1.1369rem, 1.0854rem + 0.1646vw, 1.2706rem);
    --filter-white: brightness(0) saturate(100%) invert(98%) sepia(0%) saturate(7500%) hue-rotate(193deg) brightness(102%) contrast(105%);
}
.page-header-block+.content-block {
    padding-top: 50px;
}
.wrapper {
    max-width: 1600px;
}
h1, h2, h3, h4, h5, h6 {
    font-family: var(--ff-alt);
}
.xl-heading {
    font-size: calc(var(--h1-font-size) + 0.5vw);
    margin-bottom: 30px;
}
.bu-accent {
    background-color: var(--color-accent);
    color: var(--color-black);
    &:hover {
        border-color: var(--color-black);
        color: var(--color-black);
    }
}
.strong {
    font-weight: 600;
}
#header {
    position: fixed;
    background-color: transparent;
    border-bottom: none;
    padding-top: 0;
    &>.wrapper {
        display: flex;
        padding-top: 0px;
        align-items: center;
    }
    .logo {
        text-align: center;
        transition: var(--default-transition);
        padding: 20px;
        img {
            filter: var(--filter-white);
        }
    }
    &.header-down {
        max-height: 90px;
        box-shadow: none;
        border-bottom: 1px solid var(--color-black);
        .wrapper {
            align-items: flex-end;
        }
        background-color: var(--color-white);
        align-items: flex-end;
        .logo {
            transform: translateY(50%);
            background-color: var(--color-white);
            position: relative;
            &::after {
                content: '';
                display: block;
                position: absolute;
                bottom: 0;
                left: 0;
                height: calc(50% - 10px);
                width: 100%;
                border-bottom: 1px solid var(--color-black);
                border-left: 1px solid var(--color-black);
                border-right: 1px solid var(--color-black);
            }
            img {
                filter: none;
            }
        }
        .main-navigation {
            margin-bottom: 15px;
            li a {
                color: var(--color-black);
            }
        }
        .navicon, .navicon:before, .navicon:after {
            background-color: var(--color-black);
        }
    }
}
.eg-slider>.slide:before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: transparent;
    background-image: linear-gradient(180deg, rgba(0, 0, 0, 0.1) 30%, rgba(0, 0, 0, 1) 100%);
    /* background-color: rgba(0, 0, 0, 0.5); */
}
.eg-slider {
    .slide {
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .hd-01 {
        color: var(--color-white);
        font-family: var(--ff-alt);
        font-size: calc(var(--h1-font-size) + 1vw) !important;
        line-height: 1em !important;
        padding: 0 20px;
        span {
            display: block;
            color: var(--color-white);
            font-family: var(--ff-alt);
            font-size: calc(var(--h1-font-size) + 1.5vw) !important;
            text-transform: uppercase;
            font-weight: 600 !important;
        }
        a {
            display: block;
            width: fit-content;
            margin: 0 auto 10% auto;
            color: var(--color-accent) !important;
            font-size: var(--h5-font-size) !important;
            padding: 10px 30px;
            line-height: 1em;
            border-radius: 2px;
            font-weight: 200;
            text-transform: uppercase;
            margin-top: 40px;
            letter-spacing: 0.05em;
            border: 1px solid var(--color-accent);
            &:hover {
                background-color: var(--color-accent);
                color: var(--color-black) !important;
            }
        }
    }
    .hd-txt {
        color: var(--color-white);
        font-size: var(--h5-font-size);
    }
}
.main-navigation {
    li {
        a {
            color: var(--color-white);
            line-height: 1.5em;
            margin: 0 10px;
            &:hover {
                color: var(--color-black);
            }
        }
    }
    li:before {
        content: '';
        background-color: var(--color-accent);
        position: absolute;
        width: 10px;
        height: 2px;
        /* margin: 0 auto; */
        left: 15px;
        top: 3px;
        /* bottom: 3px; */
        /* right: 0; */
        transition: all .25s ease-out;
        /* border-radius: 2px; */
        z-index: -1;
        transform-origin: center center;
    }
    li:hover:before {
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
    }
}
.image-frame {
    padding: 2px;
    background-color: var(--color-black);
    position: relative;
    /* 
    float: right;
    margin-right: 50px; */
    & img {
        /* transform: translateX(50px); */
        display: block;
        background-color: #fff;
        padding: 20px;
        z-index: 2;
        position: relative;
    }
    &::before, &::after {
        content: '';
        display: block;
        position: absolute;
        background-color: var(--color-white);
        z-index: 1;
    }
    &::before {
        left: 0;
        top: 60px;
        width: 100%;
        height: calc(100% - 120px);
    }
    &::after {
        left: 0;
        right: 0;
        margin: 0 auto;
        top: 0;
        height: 100%;
        width: calc(100% - 120px);
    }
}
.yt-vid {
    aspect-ratio: 1 / 1;
    width: 100%;
    padding: 20px;
    position: relative;
    z-index: 2;
    background-color: var(--color-white);
    margin-bottom: 0;
    line-height: 0;
    display: block;
}
.intro-box {
    margin-top: 40px;
    border-top: 1px solid var(--color-border-light-2);
    h2 {
        font-family: var(--ff-default);
        font-size: var(--h3-font-size);
        display: flex;
        align-items: center;
        gap: 20px;
    }
    p {
        color: var(--color-text-light);
    }
    &.intro-2 {
        h2 {
            font-size: var(--h4-font-size);
        }
    }
}
.txt-hd-sfx {
    max-width: 120ch;
}
#projects-slider {
    /* margin-top: 50px; */
    .ec-slide-track {
        display: flex;
        flex-wrap: wrap;
    }
    .ec-slide {
        padding: 0;
        height: auto;
        width: 400px;
        list-style: none;
        background-color: var(--color-white);
        border: none;
        margin: 0 10px;
        text-align: center;
        float: left;
        display: flex;
        align-items: center;
        justify-content: center;
        line-height: 0;
        img {
            display: block;
            width: 100%;
            height: 100%;
            object-fit: cover;
            display: block;
        }
    }
}
.filmstrip {
    --fs-bg: rgba(0, 0, 0, 1);
    --hole-w: 15px;
    --hole-h: 20px; 
    background-image:
        linear-gradient(to right, var(--fs-bg) var(--hole-w), transparent var(--hole-w)),
        linear-gradient(to bottom, var(--fs-bg) var(--hole-h), transparent var(--hole-h)),
        linear-gradient(to right, var(--fs-bg) var(--hole-w), transparent var(--hole-w)),
        linear-gradient(to bottom, var(--fs-bg) var(--hole-h), transparent var(--hole-h)),
        linear-gradient(to bottom, transparent var(--hole-h), var(--fs-bg) var(--hole-h));
    background-size:
        calc(var(--hole-w) * 2) var(--hole-h),
        calc(var(--hole-w) * 2) var(--hole-h),
        calc(var(--hole-w) * 2) var(--hole-h),
        calc(var(--hole-w) * 2) var(--hole-h),
        100% calc(100% - var(--hole-h) * 3);
    background-repeat: repeat-x;
    background-position:
        0 var(--hole-h),
        top left,
        0 calc(100% - var(--hole-h)),
        bottom left,
        0 var(--hole-h);
    padding: calc(var(--hole-h) * 2) calc(var(--hole-w) * 2.5);
    box-sizing: border-box;
    margin: 50px 0;
    margin-bottom: 0;
}
.bdr-black {
    border: 1px solid var(--color-border-light);
}
.associates-block {
    border-right: 30px solid var(--color-white);
    border-left: 30px solid var(--color-white);
    &>div:first-child {
        min-width: 300px;
    }
    & h2 {
        /* font-family: var(--ff-default); */
        font-size: var(--h3-font-size);
        padding: 0;
        margin: 0;
    }
    overflow: hidden;
    flex-wrap: nowrap;
}
.content-block.no-pad-tb {
    padding-top: 0;
    padding-bottom: 0;
}
.content-block.no-pad-top {
    padding-top: 0;
}
.content-block.no-pad-bottom {
    padding-bottom: 0;
}
#associates-slider {
    .ec-slide-track {
        display: flex;
        flex-wrap: wrap;
    }
    .ec-slide {
        padding: 0;
        height: auto;
        /* width: 400px; */
        list-style: none;
        background-color: var(--color-white);
        border: 1px solid var(--color-border-light);
        margin: 0 10px;
        text-align: center;
        float: left;
        display: flex;
        align-items: center;
        justify-content: center;
        line-height: 0;
        img {
            display: block;
            width: 100%;
            height: 100%;
            object-fit: cover;
            display: block;
        }
    }
}
.services-intro {
    margin-top: 100px;
    --col-gap: 15px;
    justify-content: center;
    counter-reset: section;
    &>div {
        background-color: var(--color-white);
        padding: 30px;
        border-radius: 20px;
        counter-increment: section;
        overflow: clip;
        transition: all .25s ease-out;
        border: 1px solid transparent;
        &:hover{
            transform: translateY(-10px);
            /* box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22); */
            border-color: var(--color-accent);
            & a{
                transform: translateY(0);
                border-radius: 10px;
            }
            &::before {
                background-color: var(--color-black);
                color: var(--color-white);
            }
        }
        &::before {
            font-family: var(--ff-alt);
            display: block;
            content: '0' counter(section);
            background-color: var(--color-accent);
            line-height: 50px;
            border-radius: 50%;
            width: 50px;
            height: 50px;
            margin-bottom: 50px;
            text-align: center;
            font-weight: 300;
            font-size: var(--h4-font-size);
             transition: all .25s ease-out;
        }
    }
    & h3 {
        font-family: var(--ff-default);
        font-size: var(--h4-font-size);
    }
    & p {
        color: var(--color-text-light);
    }
    & a{
        display: inline-block;
        transition: all .25s ease-out;
        transform: translateY(100px);
    }
}
.team-grid {
    margin-top: 100px;
    counter-reset: section;
    &>div {
        background-color: var(--color-white);
        border-radius: 20px;
    }
    .details {
        padding: 30px;
    }
    .designation {
        display: block;
        font-size: var(--h6-font-size);
        margin-bottom: 15px;
        background-color: var(--color-accent);
        width: fit-content;
        padding: 5px 10px;
        font-weight: 300;
        border-radius: 4px;
    }
    img {
        border-radius: 20px;
    }
    & h3 {
        font-family: var(--ff-default);
        font-size: var(--h4-font-size);
        font-weight: 300;
        margin-bottom: 0;
    }
    & p {
        color: var(--color-text-light);
    }
}
.services-details-block {
    display: block;
    margin: 40px 0;
    & .s-block {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        gap: 3rem;
        /* background-color: var(--color-bg-alt); */
        padding: 30px;
        margin-bottom: 30px;
        &>div {
            flex: 1;
        }
        &>div:nth-child(2) {
            padding: 0 40px;
        }
        & img{
            width: 100%;
            display: block;
        }
        & h2 {
            text-transform: uppercase;
            & span {
                display: block;
                text-transform: none;
                font-weight: 400;
                color: var(--color-text-light);
                font-size: 19px;
            }
        }
    }
    & .s-block:nth-child(1n) {
        /* border: 1px solid var(--color-accent); */
        img{
            /* margin-left: -30px; */
        }
    }
    & .s-block:nth-child(2n) {
        flex-direction: row-reverse;
        background-color: transparent;
        border: 1px dashed #000;
    }
}
.list {
    padding: 25px;
    padding-left: 20px;
    padding-top: 0;
    margin: 0;
}
.list li {
    list-style: none;
    text-indent: -25px;
    padding: 7px 0 7px 7px;
    margin: 0;
    & a {
        color: var(--color-black);
        &:hover {
            color: var(--color-accent-2);
        }
    }
}
.list li:before {
    font-family: 'icons';
    content: "\ea54";
    margin-right: 10px;
    vertical-align: middle;
    color: var(--color-accent)
}
.contact-info {
    &>div {
        background-color: #f2f2f2;
        padding: 30px;
        border-radius: var(--bdrs-small);
        & h2 {
            font-weight: 500;
            text-transform: uppercase;
            font-size: var(--h4-font-size);
            color: var(--color-black);
        }
        & .icon {
            font-size: var(--h1-font-size);
            color: var(--color-accent);
        }
        & a {
            color: var(--color-text);
            text-decoration: none;
        }
    }
}
.gmap {
    padding: 0 !important;
    & iframe {
        width: 100%;
        min-height: 100%;
        border-radius: var(--bdrs-small);
    }
}
form[name='contact_form'] {
    max-width: initial;
    border: none;
    background-color: #f2f2f2;
    border-radius: var(--bdrs-small);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    &>div {
        width: 50%;
        &.full-width {
            width: var(--col-1c-width);
        }
        & label {
            display: none;
        }
        &.buttons-wrapper {
            width: var(--col-1c-width);
            &>button {
                padding: 10px 40px;
                border-radius: var(--bdrs-small);
                font-size: var(--h5-font-size);
                line-height: 1em;
                background-color: var(--color-accent);
                &:hover {
                    background-color: var(--color-black);
                }
            }
        }
    }
    & .textarea-wrapper {
        width: var(--col-1c-width);
    }
    & input, & textarea {
        border-radius: var(--bdrs-small);
        padding: 1em;
        width: 100%;
        &::placeholder {
            font-size: var(--default-font-size);
            color: var(--color-text);
        }
    }
}
#footer {
    background-color: var(--color-bg-alt);
    padding: 0;
}
.bdr-bt {
    border-bottom: 1px solid var(--color-border-light-2);
}
.footer-info * {
    color: var(--color-black);
}
.footer-info>.wrapper {
    gap: var(--col-gap) 0;
}
.footer-info>.wrapper>div {
    padding: var(--wrapper-padding);
}
.footer-info .icon {
    font-size: 38px;
    display: inline-block;
}
.footer-info>.wrapper>div strong {
    display: block;
}
.footer-info>.wrapper>div .social-media-menu {
    margin-top: -10px;
    margin-left: -10px;
}
.ft-info {
    background-color: var(--color-white);
    margin: 30px auto;
    border-radius: 20px;
    &>div {
        padding: 20px;
    }
    & a {
        text-decoration: none;
    }
}
.footer-bottom {
    background-color: var(--color-black);
}
.footer-bottom {
    padding: 20px 0;
    &>.wrapper {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;
    }
}
#footer .copyright, #footer .developer {
    color: var(--color-white);
    padding: 0;
}
#footer .developer {
    margin-left: 10px;
    padding-left: 10px;
    border-left: 1px solid var(--color-white);
    & a {
        color: var(--color-yellow);
    }
}
#footer .social-media-menu {
    float: none;
}
.social-media-menu li a:before {
    background-color: transparent;
    color: var(--color-black);
}
@media screen and (max-width:880px) {
    .services-details-block {
        & .s-block {
            flex-direction: column;
            &>div:nth-child(2) {
            padding: 0 0;
        }
        }
        & .s-block:nth-child(2n) {
            flex-direction: column;
        }
    }
    .associates-block {
        border-right: 30px solid var(--color-white);
        border-left: 30px solid var(--color-white);
        flex-wrap: wrap;
        &>div {
            width: 100%;
        }
        &>div:first-child {
            min-width: auto;
            text-align: center;
        }
    }
    .eg-slider {
        min-height: 60vh;
        .slide {
            align-items: flex-end;
        }
    }
    #header {
        .wrapper {
            justify-content: space-between;
            &:after {
                display: none;
            }
        }
        .logo {
            flex: initial;
            transform-origin: left center;
            padding: 0;
        }
        &.header-down {
            .wrapper {
                align-items: center;
            }
            background-color: var(--color-white);
            align-items: center;
            justify-content: space-between;
            .logo {
                transform: translateY(0) scale(0.5);
                background-color: transparent;
                position: relative;
                &::after {
                    display: none;
                }
            }
            .main-navigation {
                margin-bottom: 0px;
                li a {
                    color: var(--color-black);
                }
            }
            .navicon, .navicon:before, .navicon:after {
                background-color: var(--color-black);
            }
        }
    }
    .main-navigation {
        li {
            border-bottom: 1px solid var(--color-black);
            &:before {
                display: none;
            }
            a {
                color: var(--color-black);
                &:hover {
                    color: var(--color-white);
                }
            }
        }
    }
    .main-navigation-holder.active:before {
        /* background-color: var(--color-bg-alt); */
        opacity: 0.6;
    }
    nav.main-navigation-holder .mn-inner {
        background-color: var(--color-white);
        transition: all .45s;
        animation-timing-function: cubic-bezier(.37, 0, .32, .84);
        transform: translateY(0) translateX(-105%);
        width: min(320px, 80%);
        height: 100vh;
        min-height: 400px;
        padding: 5em 2em 5em 2em;
        margin: auto auto;
        position: absolute;
        left: 0;
        right: auto;
        top: 0;
        bottom: 0;
        overflow: auto;
        border-radius: 0;
        overflow: hidden;
    }
    .footer-info>.wrapper>div {
        /* width: 50%; */
        /* padding: 10px; */
    }
}
.eliteCarousel .ec-slide-track:hover {
    animation-play-state: running;
}
@media screen and (max-width:768px) {
    #footer .developer {
    margin-left: 0px;
    padding-left: 0px;
    border-left: none;
}
}
@media screen and (max-width:580px) {
/* #projects-slider {
 
    .ec-slide-track {
       
        height: 420px;
    }
    .ec-slide {
        height: 420px;
        width: auto;

        
    }
} */
    form[name='contact_form'] {
    &>div {
        width: var(--col-1c-width);
    }}
}